2003-10-27  Ludovic Rousseau  <rousseau@acer>

	* ChangeLog, configure.in, src/pcsclite.h: release 1.2.0 final

2003-10-15  Ludovic Rousseau  <rousseau@acer>

	* ChangeLog: the release number was wrong :-)

	* ChangeLog: release 1.2.0-rc3

	* Makefile.am:
	Antti Tapaninen and Damien Sauveron have now their names in ChangeLog.cvs

	* src/tokenfactory.c: correct a typo

	* src/winscard_msg.c:
	perform a round-robbin among clients to avoid starvation under heavy
	load. Patch from Bettina Martelli.

2003-10-15  Damien Sauveron  <sauveron-guest@acer>

	* src/winscard_clnt.c:
	Verify the availabilty of the daemon before to try a connection.

2003-10-13  Damien Sauveron  <sauveron-guest@acer>

	* src/winscard_svc.c: Add a verification before to release a context.

2003-10-04  Damien Sauveron  <sauveron-guest@acer>

	* doc/pcscd.8.in: correct the typo

2003-09-30  Ludovic Rousseau  <rousseau@acer>

	* src/winscard_clnt.c:
	SCardEstablishContextTH: print the shared file name if open fails

	* src/winscard_clnt.c:
	send debug to stdout only if the environment variable MUSCLECARD_DEBUG
	is defined

	* src/tokenfactory.c:
	having a trailing / in MSC_SVC_DROPDIR (--enable-muscledropdir) is no more mandatory

	* src/tokenfactory.c:
	print the directory name with the error message if opendir failed

2003-09-29  Damien Sauveron  <sauveron-guest@acer>

	* src/readerfactory.c: Clean up 2 memory leaks

	* src/readerfactory.c:
	Clean up the mutex when a reader is removed if needed. This is a memory leak

	* src/readerfactory.h:
	Add a field needed for clean up the mutex when a reader is removed. This is needed since the support of simultaneous access to slots of a multi-slot reader or identical reader using the same ifdhandler

	* src/readerfactory.c:
	Correct a bug introduced by me and add a copyright.

2003-09-27  Ludovic Rousseau  <rousseau@acer>

	* src/Makefile.am, src/libmusclecard.pc.in, configure.in:
	add a new pkg-config file for application using libmusclecard. Closes
	"[ #300102 ] Should the pkgconfig file of 1.2.0-rc2 have -lmusclecard?"

2003-09-24  Damien Sauveron  <sauveron-guest@acer>

	* src/winscard_msg.c:
	Some clean up on the debug message and indentation.

	* src/winscard_svc.c: Move some code to a better position.

2003-09-23  Damien Sauveron  <sauveron-guest@acer>

	* src/winscard_msg.c: Some cleanups.

2003-09-23  Ludovic Rousseau  <rousseau@acer>

	* configure.in:
	--enable-libusb was not working correctly is the lib is not installed in
	/usr or /usr/local

2003-09-23  Damien Sauveron  <sauveron-guest@acer>

	* src/winscard_scf.c:
	Solve the problem of never exiting the loop when a smartcard is already inserted in the reader, thus blocking the application.

2003-09-22  Ludovic Rousseau  <rousseau@acer>

	* src/readerfactory.c:
	initialize valueLength just before the call to IFDGetCapabilities().

	* src/readerfactory.c:
	initialize dwGetSize to the size of the value buffer before calling
	IFDGetCapabilities().

	* src/debuglog.c:
	use a local output buffer instead of a global one to be thread safe

2003-09-19  Ludovic Rousseau  <rousseau@acer>

	* configure.in:
	use AC_HELP_STRING() for a pretty look of `configure --help'

2003-09-18  Damien Sauveron  <sauveron-guest@acer>

	* src/readerfactory.c:
	Add the support of simultaneous access on different slots of a reader if the handling is thread safe.

	* src/ifdhandler.h:
	Add the tag TAG_IFD_SLOT_THREAD_SAFE for testing if the handling of the slots is thread safe.

2003-09-17  Damien Sauveron  <sauveron-guest@acer>

	* src/readerfactory.c:
	Add a full clean up when there is no space for adding all the slots of a multi-slots reader.

	* src/readerfactory.c: Clean up in the RFRemoveReader.

2003-09-16  Antti Tapaninen  <aet-guest@acer>

	* src/Makefile.am: Put back -rdynamic to pcscd linking because of some
	IFD drivers. IMHO this is wrong, but what can you do.

	* configure.in: Put back AC_PROG_CPP, it has nothing to do with C++.

2003-09-16  Ludovic Rousseau  <rousseau@acer>

	* configure.in: remove useless AC_PROG_CPP (no C++ code in pcsc-lite)

	* configure.in, src/pcsclite.h:
	-rc3 version (configure.in and src/pcsclite.h _shall_ be in sync)

	* configure.in, src/hotplug_libusb.c, src/pcsclite.h:
	remove / at the end of usbdropdir, muscledropdir and ipcdir to be more
	homogeneous

2003-09-15  Damien Sauveron  <sauveron-guest@acer>

	* src/readerfactory.c:
	Add the support of simultaneous access on the thread safe IFD.

	* src/ifdhandler.h:
	Add the tag TAG_IFD_THREAD_SAFE for testing if the IFD is thread safe.

2003-09-15  Antti Tapaninen  <aet-guest@acer>

	* README: Updates to requirements and tested platforms

2003-09-11  Damien Sauveron  <sauveron-guest@acer>

	* src/ifdwrapper.c: Better explanation of a comment.

	* src/readerfactory.c:
	Cleanup a condition unused and undo some of my previous changes.

2003-09-11  Antti Tapaninen  <aet-guest@acer>

	* aclocal/Makefile.am, aclocal/acx_pthread.m4, win32/Makefile.am:
	Add new files needed by the new bootstrap

	* Makefile.am, bootstrap, configure.in, reconf:
	- Simplify the bootstrapping mechanism
	- Remove reconf

	* config.h.in: Remove config.h.in, doesn't belong to the repository

	* win32/PCSC.dsp, win32/config.h, win32/win32_config.h:
	Rename win32_config.h to config.h

2003-09-10  Damien Sauveron  <sauveron-guest@acer>

	* src/readerfactory.c:
	Cleanup about variables already initialized and indent of some comments

	* src/debuglog.h: Add a comment about the usage of DebugLogC

2003-09-08  Antti Tapaninen  <aet-guest@acer>

	* src/hotplug_macosx.c:
	Warning fix for PCSCLITE_HP_DROPDIR being already defined

	* src/dyn_unix.c:
	HP-UX build fix, add sanity checks to not to use dlfcn
	if there's native dynamic loading interface available,
	like HP-UX and MacOS X does.

	The other option would be just to merge all dynamic
	loading routines into one file, a lot simpler solution.

	* config.h.in: Bootstrap update

	* configure.in: Finish SCF build support, add sanity checks

	* src/Makefile.am: Add winscard_scf.c to EXTRA_DIST

	* src/winscard_scf.c: Build fixes, add dummy SCardUnload()

	* config.h.in: Bootstrap update

	* configure.in, src/Makefile.am:
	- Make hotpluging / power management to compile again
	- Add MacOS X build fixes

	* src/hotplug_generic.c, src/hotplug_libusb.c, src/hotplug_linux.c, src/hotplug_macosx.c, src/powermgt_generic.c:
	Add necessary ifdef's

	* src/powermgt_macosx.c: Include hotplug.h to avoid warning message

	* doc/example/pcsc_demo.c, src/utils/bundleTool.c, src/utils/formaticc.c, src/utils/installifd.c:
	Build fix for MacOS X, don't bother including
	from <PCSC/..>, use standard header locations.

	* src/winscard_msg.c: Back out socklen_t change that I made

	* src/pcscdaemon.c: Very minor cleanups

	* src/thread_win32.c: Add missing config.h

	* configure.in:
	- Remove --with-common-dir and overly complex libsocket, libresolv
	  etc. probes that I added. Probe only for socket() in libsocket.
	- Reorder --disable-threadsafe code, needed to get over some
	  libtool issues for various platforms.

	* src/Makefile.am: Fix --disable-threadsafe issues

	* README: Don't mention -lposix4 for Solaris, AFAIK it's not needed
	anymore.

	* src/musclecard.c:
	Fix compiler warning when compiling with --disable-threadsafe

	* src/debuglog.c, src/dyn_win32.c, src/hotplug_libusb.c, src/hotplug_linux.c, src/ifdwrapper.c, src/pcscdaemon.c, src/testpcsc.c, src/tokenfactory.c, src/utils/formaticc.c, src/winscard.c, src/winscard_clnt.c, src/winscard_msg.c, src/winscard_scf.c:
	AIX build fix, convert // comments into /* */ blocks.

2003-09-07  Ludovic Rousseau  <rousseau@acer>

	* src/musclecard.c, src/tokenfactory.c:
	remove useless \n in debug message strings

2003-09-07  Antti Tapaninen  <aet-guest@acer>

	* Makefile.am, configure.in, src/Makefile.am, src/debuglog.c, src/dyn_hpux.c, src/dyn_macosx.c, src/dyn_unix.c, src/dyn_win32.c, src/powermgt_generic.c, src/powermgt_macosx.c, src/sys_unix.c, src/winscard_msg.c:
	Build fixes. The first version that actually compiles for
	Linux, Solaris, Tru64 and AIX after src/Makefile.am and
	configure.in modifications.

	- Untested
	- No hotplug/power management support
	- Untested for *BSD, MacOS X and HP-UX,
	  there's other things to do before even
	  trying to compile.

	* src/atrhandler.c, src/atrhandler.h, src/debuglog.c, src/dyn_hpux.c, src/dyn_macosx.c, src/dyn_unix.c, src/dyn_win32.c, src/eventhandler.c, src/hotplug_generic.c, src/hotplug_libusb.c, src/hotplug_linux.c, src/hotplug_macosx.c, src/mscdefines.h, src/musclecard.c, src/musclecard.h, src/muscletest.c, src/pcsclite.h, src/powermgt_macosx.c, src/prothandler.c, src/readerfactory.c, src/sys_unix.c, src/testpcsc.c, src/thread_generic.h, src/thread_unix.c, src/tokenfactory.c, src/tokenparser.l, src/utils/bundleTool.c, src/utils/formaticc.c, src/utils/installifd.c, src/winscard.c, src/winscard.h, src/winscard_clnt.c, src/winscard_msg.c, src/winscard_scf.c, src/winscard_svc.c, src/wintypes.h:
	- Cleanups for #include logic and ordering,
	  it's better to include config.h first.

	* config.h.in, configure.in: Checkpoint commit + bootstrap update

	* src/Makefile.am, src/utils/Makefile.am, Makefile.am, doc/Makefile.am, doc/example/Makefile.am, etc/Makefile.am:
	- Polish and unify Makefiles a bit
	- More work towards working src/Makefile.am

	* pbx/config.h, src/Makefile.am, src/hotplug_libusb.c, src/pcscdaemon.c, src/tokenfactory.c, src/winscard_msg.c, win32/win32_config.h, config.h.in, configure.in, etc/Makefile.am:
	- Remove MSC/PCSC_TARGET_XYZ defines and the massive
	  use of unflexible automake conditionals. The main
	  reason why pcsc-lite requires "too much" work when
	  porting to another OS. Introduced define PCSC_ARCH,
	  which uses 'uname' as an input. Except Darwin->MacOS.
	- Removed --enable-usb
	- Preliminary rewrite of src/Makefile.am, doesn't work
	  yet.
	- Use gcc specific compiler options only if
	  gcc detected.

	* src/Makefile.am, src/dyn_bsd.c, src/dyn_unix.c, src/dyn_win32.c, src/pcscdaemon.c, src/sys_generic.h, src/sys_hpux.c, src/sys_solaris.c, src/sys_unix.c, src/thread_generic.h, src/thread_macosx.c, src/thread_unix.c, src/thread_win32.c:
	- Removed most of the duplicated code, replaced
	  with the usage of config.h's defines for
	  portability issues:
	  - Merged dyn_{bsd,unix}.c, left as dyn_unix.c
	  - Merged thread_{macosx,unix}.c, left as thread_unix.c
	  - Merged sys_{hpux,solaris,unix}.c, left as sys_unix.c
	- Removed MSC_ thread API from generic / win32,
	  they're not used.

	Starting from now, the source tree might be broken for a
	few hours or even days. Sorry about that.

2003-09-05  Ludovic Rousseau  <rousseau@acer>

	* src/debuglog.c:
	add #include <unistd.h> to avoid an "implicit declaration of function `getpid'"

2003-09-04  Ludovic Rousseau  <rousseau@acer>

	* ChangeLog, configure.in, src/pcsclite.h: release 1.2.0-rc2

	* src/Makefile.am: add thread_win32.c in the distribution

	* configure.in, src/Makefile.am:
	remove a _stupid_ bug that linked libpcsclite with libusb. Also generate
	libmusclecard and remove musclecard code from libpcsclite.

	* src/configfile.c, src/tokenparser.c:
	removed since they have nothing to do in CVS. They are generated from .l files

	* src/muscletest.c: add #include <string.h>

	* src/winscard.h: add prototype for SCardUnload()

2003-09-03  Ludovic Rousseau  <rousseau@acer>

	* doc/example/pcsc_demo.c:
	add a call to SCardUnload(). This is not mandatory, just cleaner.

	* src/winscard_clnt.c:
	add SCardUnload() function to free allocated resources. It is mandatory
	only if you use dlopen/dlclose to often load/unload the library. Otherwise
	you will exhaust the ressources available and get a crash. Thanks to
	Guy Moreillon for the patch.

2003-09-02  Ludovic Rousseau  <rousseau@acer>

	* src/debuglog.h:
	remove reference to USE_SYSLOG since it is replaced by --debug command
	line argument

2003-08-31  Ludovic Rousseau  <rousseau@acer>

	* README:
	remove documentation about --enable-syslog since it is not used anymore
	by ./configure

	* NEWS: refer to ChangeLog instead of containing the version number

2003-08-29  David Corcoran  <corcoran-guest@acer>

	* COPYING: Removed advertising clause

2003-08-28  Ludovic Rousseau  <rousseau@acer>

	* src/muscletest.c:
	use CAPITAL hex, use default PIN "Muscle00" when none is given, allow to
	use more than one readers instead of using only the first one.

	* src/musclecard.c: print SW (status word) in hex instead of decimal

	* src/Makefile.am:
	add rules to build muscletest. testpcsc is no more executed by make distcheck

	* doc/Makefile.am:
	do not distribute pcscd.8 bundleTool.8 since they are generated from the
	.in versions by ./configure

	* configure.in:
	to not set use_libusb=false in case the argument is "" | "yes" | "YES"

	* Makefile.am:
	move ChangeLog.cvs to DISTCLEANFILES to avoid an error with 'make distcheck'

2003-08-26  Ludovic Rousseau  <rousseau@acer>

	* ChangeLog: release 1.2.0-rc1

	* configure.in: move addition of -lusb since it is selected by default.

	* src/hotplug_libusb.c: disable USB debug by default

	* README: add a note about deprecation of --enable-usb

	* configure.in:
	--enable-usb is deprecated and off by default. Use --enable-libusb instead.

	* doc/Makefile.am: add example subdirectory

	* src/hotplug_libusb.c:
	complete redesign to support up to PCSCLITE_MAX_READERS readers whatever
	the driver they use (correct bug [ #300067 ] More than 4 Hotplug Readers in
	the same time on Linux)

	* src/pcsclite.h:
	define PCSCLITE_MAX_READERS as the maximum number of readers

2003-08-25  Ludovic Rousseau  <rousseau@acer>

	* src/winscard.c:
	correct bug #300063: PCSCd reports card is present when there is no card in the reader.

	* src/musclecard.c: reindentation

	* src/musclecard.c:
	free(evlist->tokenArray), avoid a memory leak (Toni Andjelkovic)

2003-08-22  Ludovic Rousseau  <rousseau@acer>

	* doc/example/Makefile.am, doc/example/pcsc_demo.c:
	demo of a C program using the pcsc-lite API

2003-08-21  Ludovic Rousseau  <rousseau@acer>

	* src/hotplug_libusb.c, src/hotplug_linux.c: typo in comments

2003-08-20  Ludovic Rousseau  <rousseau@acer>

	* src/winscard_svc.c:
	Sometimes unknown APDUs were being transmitted when 'SCardStatus'
	function was invoked (close #300061)

	* src/winscard.c:
	return SCARD_E_INVALID_PARAMETER for APDU of less than 4 bytes (close #300062)

	* src/musclecard.c:
	initialise pConnection->shareMode as early as possible (close #300064,
	thanks to Wan-Teh Chang)

	* src/wintypes.h: correct and remove unused types (close bug #300071)

	* src/hotplug_macosx.c:
	Add support of reader aliases using <array></array>

	* src/hotplug_libusb.c: add empty HPRegisterForHotplugEvents() function

2003-08-19  Ludovic Rousseau  <rousseau@acer>

	* src/hotplug.h, src/hotplug_generic.c, src/hotplug_linux.c, src/hotplug_macosx.c, src/pcscdaemon.c, src/powermgt_macosx.c:
	Add support of PCMCIA for MacOS X and major redesign of the hotplug
	support (thanks to Stephen M. Webb for the patch)

	* src/eventhandler.c: use <errno.h> instead of <sys/errno.h>

2003-08-18  Ludovic Rousseau  <rousseau@acer>

	* src/hotplug_libusb.c:
	use #ifdef DEBUG_USB_HOTPLUG for USB debug messages

	* src/pcscdaemon.c: remove unneeded \n in debug messages

	* src/winscard.h:
	do not look for PCSC/pcsclite.h but pcsclite.h even on MacOS X

	* src/debuglog.c:
	add #include <sys/types.h> for FreeBSD (thanks Toni Andjelkovic)

2003-08-15  Ludovic Rousseau  <rousseau@acer>

	* src/musclecard.c, src/musclecard.h:
	add void argument to the MSCCallbackCancelEvent() prototype definition
	(thanks to Toni Andjelkovic)

	* configure.in:
	use *linux* instead of linux-gnu (patch from Toni Andjelkovic)

	* src/hotplug_libusb.c:
	conditionnaly print hotplug debug messages. look for DEBUG_USB_HOTPLUG at the
	begining of the file.

	* src/hotplug_linux.c:
	use FILENAME_MAX instead of manually defined values. Use snprintf()
	instead of sprintf() to fill filenames.

2003-08-14  Ludovic Rousseau  <rousseau@acer>

	* Makefile.am: add s/David Corcoran /David Corcoran /;

	* config.h.in: new generated version

	* bootstrap: do not remove build/aclocal.m4 anymore

	* src/Makefile.am: add parser.h in pcscd_SOURCES

	* src/utils/installifd.c:
	cast sizeof() with (int) to avoid a warning under MacOS X

	* src/pcscdaemon.c:
	add "Copyright (C) 2001-2003 by Ludovic Rousseau" for the version (-v) output.

2003-08-11  Ludovic Rousseau  <rousseau@acer>

	* src/tokenparser.c: regenerated but should not be in CVS

	* src/tokenparser.l: change filename in comment

	* src/parser.h: add LTPBundleFindValueWithKey() function prototype

	* src/parser.h:
	use a size of 200 bytes instead of 256 otherwise it will break every
	drivers using the pcscd tokenparser (buffer overflow in the driver).

2003-08-10  Ludovic Rousseau  <rousseau@acer>

	* README, configure.in, src/Makefile.am, src/hotplug_libusb.c:
	add support of libusb

	* src/parser.h, src/tokenparser.l:
	define maximum buffer lengths and avoid possible buffer overflows

2003-08-08  Ludovic Rousseau  <rousseau@acer>

	* doc/formaticc.1: pcscd is in section 8 not 1

2003-07-04  Ludovic Rousseau  <rousseau@acer>

	* src/Makefile.am:
	Installation of the pkgconfig file did not honor libdir. Thanks to Ville
	Skyttä for the patch (alioth patch #300045)

2003-06-05  David Corcoran  <corcoran-guest@acer>

	* src/thread_generic.h, src/thread_win32.c:
	fixed MSC_Mutex functions to point to the SYS_Mutex functions

2003-06-04  David Corcoran  <corcoran-guest@acer>

	* src/debuglog.c, src/debuglog.h, src/musclecard.c, src/musclecard.h, src/pcsclite.h, src/thread_generic.h, src/thread_win32.c, src/tokenfactory.c, src/tokenparser.c, win32/PCSC.cpp:
	Commiting these files

2003-05-30  Ludovic Rousseau  <rousseau@acer>

	* ChangeLog: release 1.1.2beta5

	* bootstrap:
	remove $ac_aux_dir/aclocal.m4 after use to limit the size of the .tar.gz

	* src/Makefile.am:
	remove winscard_msg.c from pcscd_SOURCES since it is already included
	in libpcsclite_core_la_SOURCES used by pcscd_LDADD

	* doc/Makefile.in: removed since generated from doc/Makefile.am

	* Makefile.am:
	the CVS files are now on alioth.debian.org so change the path to remove
	to generate the ChangeLog.cvs file

	* src/winscard_clnt.c:
	SCardStatusTH(): simplify code and return correct results when buffers
	are too short or NULL is used

	* src/winscard.c: SCardStatus(): do not return before filling buffers

	* src/musclecard.c: small cleanup

	* doc/Makefile.in:
	removed from CVS since generated from doc/Makefile.am

	* src/configfile.c, src/tokenparser.c:
	regenerated but they should not be in CVS

	* src/tokenparser.l: define ret as int

	* src/Makefile.am: correct arguments order of ylwrap script

	* src/utils/installifd.c:
	replace gets() by fgets() to avoid buffer overflow.
	Use sizeof() instead of constants.
	do not use strdup() since it is useless.
	print error messages when needed.

2003-05-28  Ludovic Rousseau  <rousseau@acer>

	* src/libpcsclite.pc.in:
	used to generated a pkg-config ".pc" file (thanks to Andreas Jellinghaus
	for the idea and the patch)

	* Makefile.in, configure, etc/Makefile.in, src/Makefile.in, src/utils/Makefile.in:
	removed from CVS since they are (re)generated by ./bootstrap

	* configure.in, src/Makefile.am, src/utils/installifd.c:
	use directory names as use by ./configure

2003-05-27  Ludovic Rousseau  <rousseau@acer>

	* src/driverparser.c, src/driverparser.l:
	no more usefull since tokenparser.* does a better job

	* src/tokenparser.l: do not duplicate fclose/return lines

2003-05-25  Ludovic Rousseau  <rousseau@acer>

	* etc/reader.conf.in:
	include configured path appear in the docs (thanks to Ville Skyttä)

	* doc/bundleTool.8.in, doc/pcscd.8.in:
	correct typos and include configured path appear in the docs (thanks to
	Ville Skyttä)

2003-05-05  Ludovic Rousseau  <rousseau@acer>

	* ChangeLog: release 1.1.2beta4

	* src/configfile.c: regenerated from src/configfile.c

	* src/utils/Makefile.in, Makefile.in, configure, doc/Makefile.in, etc/Makefile.in, src/Makefile.in:
	regenerated

	* src/tokenparser.c: regeneration from src/tokenparser.l

	* src/tokenparser.l:
	code reindentation, use DebugLogB()/DebugLogC with correct number of
	arguments

	* src/debuglog.c:
	avoid possible buffer overflow in pcsc_stringify_error()

	* src/Makefile.am:
	add -pthread for xBSD, use AM_CFLAGS instead of CFLAGS, driverparser.c
	no more exists

	* bootstrap: use automake 1.7.3

	* README: also tested on Debian 3.0 and OpenBSD 3.2

2003-04-07  Ludovic Rousseau  <rousseau@acer>

	* src/tokenparser.l:
	reindent, use DebugLogB instead of DebugLogC, add indice number in debug
	message

	* src/hotplug_linux.c: support driver aliases in Info.plist

	* src/hotplug_linux.c: use LTPBundleFindValueWithKey(.., 0) instead of
	LCFBundleFindValueWithKey()

	* src/hotplug_linux.c: reindent

	* src/hotplug_linux.c: code simplification

	* src/hotplug_linux.c: add directory name to error message

2003-01-09  Ludovic Rousseau  <rousseau@acer>

	* src/debuglog.c:
	the log output mode (syslog, stdout, stderr) can't be combined. stderr
	had precedence (in the code) over stdout that was _never_ used.

2002-12-08  Ludovic Rousseau  <rousseau@acer>

	* src/pcsclite.h:
	use pcscd.* instead of pcsc.* to be unoform with pcscd.pid

2002-12-07  Ludovic Rousseau  <rousseau@acer>

	* doc/Makefile.am: remove pcscd.startup since it is now in etc/

	* ChangeLog: release 1.1.2beta3

	* Makefile.in, config.h.in, configure, doc/Makefile.in, etc/Makefile.in:
	regenerated

	* src/utils/Makefile.in, src/Makefile.in: regenarated

	* src/pcscdaemon.c:
	create PCSCLITE_IPC_DIR if it does not exist. For example when it is set
	to /tmp/pcsc/ (default now is /var/run/)

	* src/pcsclite.h: use pcsc.comm instead of pcsc.omm

	* doc/pcscd.startup: removed. The startup script is in etc/

	* src/eventhandler.c: small source code reformating

	* src/musclecard.c, src/tokenfactory.c, src/tokenparser.c:
	use DebugLogB() for logs with 2 parameters and not DebugLogC()

	* src/debuglog.h:
	DebugLogC() uses 3 parameters not 2 (use DebugLogB() for that)

	* src/eventhandler.c:
	add filename and error message to error logs for /var/run/pcsc.pub

	* src/pcscdaemon.c, src/pcsclite.h: add support of --enable-ipcdir=DIR

	* src/Makefile.am:
	reorganise conditionals to to have a src/Makefile.in file 142 (yes 142) times
	smaller (33 KB instead of 4.7 MB)

	* etc/Makefile.am: also distribute etc/pcscd.startup

	* configure.in: update to autoconf 2.56 (lot of changes).
	add --enable-ipcdir=DIR option. Default is now /var/run/ instead of /tmp/pcsc/

	* bootstrap: update for autoconf 2.57 and automake 1.6.3

	* Makefile.am: add win32/ files and some rework

2002-12-06  Ludovic Rousseau  <rousseau@acer>

	* src/winscard.c: accept pioRecvPci == NULL in SCardTransmit()

	* src/winscard_clnt.c: source code reformating

	* src/winscard_clnt.c: correct an overflow in SCardGetStatusChange()
	replace "if (cReaders > PCSCLITE_MAX_CONTEXTS)" by
	"if (cReaders >= PCSCLITE_MAX_CONTEXTS)". Thanks to Michael Nidd

	* src/winscard_clnt.c: init g_rgSCard??Pci variable at compile time

2002-12-04  Ludovic Rousseau  <rousseau@acer>

	* ChangeLog: add Dmitry Djachenko pacthes

2002-12-02  David Corcoran  <corcoran@acer>

	* src/debuglog.c, src/musclecard.c, src/pcscdaemon.c, src/utils/bundleTool.c, Makefile.in, config.h.in, configure, configure.in, doc/Makefile.in, src/Makefile.am, src/Makefile.in:
	Included changes from Citrix
	 - Support for AIX in configure.in and Makefile.am
	 - added ifdef for SNPRINTF and VSNPRINTF

2002-11-29  Ludovic Rousseau  <rousseau@acer>

	* src/winscard.c: code reformatting

	* src/winscard.c: initialise g_rgSCard??Pci globals at compile time

	* src/winscard.c: SCardStatus(): set more return values

	* src/winscard.c:
	Check reader name and ATR size are correct (no buffer oveflow)

	* src/winscard.c: check pioRecvPci is non NULL before assignment

	* src/winscard.c: SCardReconnect() returns more interesting error codes

2002-10-30  Ludovic Rousseau  <rousseau@acer>

	* src/prothandler.c, src/prothandler.h:
	PHSetProtocol() returns a DWORD and not a UCHAR since
	rContext->dwProtocol is a DWORD. Thanks to Oleg Makarenko.

	* src/atrhandler.c, src/eventhandler.c, src/prothandler.c, src/winscard.c:
	include some missing .h files. Thanks to Oleg Makarenko

2002-10-16  David Corcoran  <corcoran@acer>

	* etc/SmartcardServices, pbx/config.h: some changes for the Mac

2002-10-15  David Corcoran  <corcoran@acer>

	* src/utils/Makefile.in, ChangeLog, Makefile.in, config.h.in, configure, configure.in, doc/Makefile.in, etc/Makefile.in, src/Makefile.am, src/Makefile.in:
	Some changes to make SCF easier to use

2002-10-12  Ludovic Rousseau  <rousseau@acer>

	* bootstrap:
	use autoconf instead of autoreconf to not reuse an old config

	* src/utils/Makefile.in, Makefile.in, configure, doc/Makefile.in, etc/Makefile.in, src/Makefile.in:
	new version of autoregenerating files

	* ChangeLog: release 1.1.2beta2

2002-10-08  Ludovic Rousseau  <rousseau@acer>

	* src/Makefile.am:
	do not link with -lpthread under bsd as it breaks under OpenBSD and
	FreeBSD

	* configure.in:
	use "test x${usbdropdir} = xfalse" instead of "test x${usbdropdir} ==
	xfalse" since it generates an error under FreeBSD (test: xfalse:
	unexpected operator). For a strange reason the bug was not detected
	earlier.

2002-10-06  Ludovic Rousseau  <rousseau@acer>

	* src/Makefile.am:
	use -rdynamic instead of -Wl,--export-dynamic since some systems
	(OpenBSD) did not support it

	* src/pcscdaemon.c: add --apdu documentation in --help message
	support -a argument even when HAVE_GETOPT_LONG not supported

	* src/utils/formaticc.c:
	add a (char *) cast to avoid a compilation warning

2002-10-06  Jean-Luc Giraud  <giraud@acer>

	* etc/SmartcardServices:
	Added support for start/stop/restart invocation parameters

	* pbx/config.h:
	Added #define for support of /var/run/pid. pid file is /var/run/pcscd.pid

2002-10-06  Ludovic Rousseau  <rousseau@acer>

	* src/utils/Makefile.in, src/Makefile.in, etc/Makefile.in, doc/Makefile.in, Makefile.in, config.h.in, configure, stamp-h.in:
	new version of autoregenerating files

	* src/Makefile.am:
	add -DPACKAGE and -DVERSION to compilation flags. They are no more
	included in config.h

	* configure.in: change version from 1.1.2beta1 to 1.1.2

	* bootstrap: remove config.h.in to be sure to regenerate it

2002-10-05  Ludovic Rousseau  <rousseau@acer>

	* src/pcsclite.h: change VERSION number from 1.1.2beta1 to 1.1.2

	* ChangeLog:
	print an error message if the --debug argument is not known

2002-10-04  David Corcoran  <corcoran@acer>

	* src/winscard_scf.c: quick fix

	* src/winscard_scf.c: added scf compatibility

	* src/wintypes.h: added helge's fix to WORD

	* src/powermgt_macosx.c: fix for osx deadlock on sleep

2002-10-03  David Corcoran  <corcoran@acer>

	* src/hotplug_linux.c: some changes to support multiplle usb readers

2002-10-03  Ludovic Rousseau  <rousseau@acer>

	* src/hotplug_linux.c:
	close PCSCLITE_HP_DROPDIR (/usr/local/pcsc/drivers/) after use

2002-10-03  David Corcoran  <corcoran@acer>

	* src/winscard.c: added fix by amira

2002-10-02  David Corcoran  <corcoran@acer>

	* src/tokenfactory.c: added default dropdir

	* src/winscard.c, src/Makefile.in:
	added athena patch for SCARD_PROTOCOL_ANY in SCardConnect

	* src/eventhandler.c, src/readerfactory.c:
	Fixed multi-reader + sleep problem

	* Makefile.in, config.h.in, configure, doc/Makefile.in, src/Makefile.in:
	Re-importing autoconf stuff

2002-10-02  Jean-Luc Giraud  <giraud@acer>

	* pbx/config.h, src/readerfactory.c:
	Modified version number from 1.1.0 to 1.1.1

2002-09-07  Ludovic Rousseau  <rousseau@acer>

	* src/pcscdaemon.c:
	Log to stderr by default. Print an error message if --debug argument is
	not known.

2002-09-06  Ludovic Rousseau  <rousseau@acer>

	* configure.in, src/pcsclite.h: release 1.1.2beta1

	* ChangeLog:
	forgot to add support of --enable-muscledropdir in bundleTool.c

	* src/utils/bundleTool.c, src/tokenfactory.c:
	add support for --enable-muscledropdir

	* reconf: do not restart ./configure

	* configure.in: add support for --enable-muscledropdir

	* bootstrap: test if a Makfile exists before make distclean

	* README:
	The licence file is COPYING and not LICENSE (thanks to Juha Tuomala)

2002-08-18  Ludovic Rousseau  <rousseau@acer>

	* doc/Makefile.am, doc/Makefile.in, doc/formaticc.1:
	add formaticc.1 from Debian

2002-08-16  Ludovic Rousseau  <rousseau@acer>

	* src/pcscdaemon.c: typo (add a space)

2002-08-15  Ludovic Rousseau  <rousseau@acer>

	* src/utils/formaticc.c: lots of debug and buffer overflow removal

	* src/utils/bundleTool.c: print usage in cas of wrong arguments

	* doc/Makefile.am, doc/Makefile.in, doc/bundleTool.1, doc/bundleTool.8.in:
	update and rename bundleTool.1

2002-08-13  Ludovic Rousseau  <rousseau@acer>

	* configure.in, src/pcsclite.h:
	switch from version 1.1.1 to 1.1.2 for cvs snapshots

	* src/Makefile.am, src/Makefile.in:
	add -Wl,--export-dynamic link option

	* src/musclecard.c: add a return NULL;

	* src/ifdwrapper.c: add support for --apdu

	* src/debuglog.c, src/debuglog.h:
	add support for --apdu and other same log messages

	* src/pcscdaemon.c:
	add support for --apdu, test if the pcscd is still running before
	complaining that /tmp/pcsc is present

	* src/readerfactory.c: properly initialise rv

	* src/eventhandler.c: typo

	* doc/pcscd.8.in: add the -a|--apdu option + some cleaning

	* reconf: make distclean before autoreconf

	* reconf: *** empty log message ***

	* configure.in, src/hotplug_linux.c:
	set the PCSCLITE_HP_DROPDIR as a ./configure option

2002-07-30  Ludovic Rousseau  <rousseau@acer>

	* src/musclecard.c:
	add #ifdef USE_THREAD_SAFETY otherwise it wont compile with
	--disable-threadsafe

2002-07-01  David Corcoran  <corcoran@acer>

	* doc/pcscd.startup: readding

	* doc/pcscd.startup, etc/pcscd.startup: moved location

2002-06-27  David Corcoran  <corcoran@acer>

	* src/musclecard.c, src/tokenfactory.c, win32/PCSC.dsp: Win32

2002-06-19  David Corcoran  <corcoran@acer>

	* src/readerfactory.c: removed printf

2002-06-18  David Corcoran  <corcoran@acer>

	* src/musclecard.h: MSCPUChar8 -> MSCUChar8

2002-06-11  David Corcoran  <corcoran@acer>

	* src/musclecard.h: Added more Initialization parameters ...

2002-06-05  David Corcoran  <corcoran@acer>

	* src/musclecard.c: hello

	* src/musclecard.c: ;lkj

	* src/musclecard.c: bad if then

	* src/musclecard.c: some changes

	* src/musclecard.c, src/thread_generic.h, src/thread_macosx.c, src/thread_unix.c:
	Added generic thread support to musclecard.c and added pthread_join

	* src/musclecard.c: Added join to cancelcallback

	* COPYING, ChangeLog, NEWS, README:
	Fixed problem with MSC_SHARE_DIRECT connections
	Added changes to docs
	Cancel with join

	* src/pcsclite.h, Makefile.in, configure, configure.in, doc/Makefile.in, src/Makefile.in:
	Changed versioning

	* src/winscard_clnt.c: removed unused variable i

	* src/readerfactory.c:
	Fix for bug which wouldn't work with multi-slot readers.  Slots weren't managing the dwFeeds variable in the structure so the library was closed prematurely.

2002-06-03  David Corcoran  <corcoran@acer>

	* src/readerfactory.h:
	replaced magic number with constant 16->PCSCLITE_MAX_CONTEXTS

2002-05-31  David Corcoran  <corcoran@acer>

	* src/winscard_clnt.c:
	Removed bug: line 1986 SCardCleanupClient would release the socket too early

2002-05-28  David Corcoran  <corcoran@acer>

	* doc/muscle-api-1.3.0.pdf: Added muscle-docs

	* AUTHORS, ChangeLog, Makefile.in, NEWS, README, SECURITY, configure, configure.in, doc/Makefile.am, doc/Makefile.in, doc/pcscd.startup, etc/SmartcardServices, etc/StartupParameters.plist, src/Makefile.am, src/Makefile.in:
	Finalizing for the release

	* src/utils/formaticc.c: Added wintypes.h

	* Makefile.in, doc/Makefile.in, src/Makefile.am, src/Makefile.in:
	fixes for the build

2002-05-28  phuang  <phuang@acer>

	* src/dyn_hpux.c: hpux need <errno.h> to compile correctly

2002-05-21  Ludovic Rousseau  <rousseau@acer>

	* Makefile.am:
	patch the generated ChangeLog.cvs to have correct file and author names

2002-05-10  Ludovic Rousseau  <rousseau@acer>

	* src/Makefile.am:
	added the .h files in the distibution but they will not be installed by
	a 'make install'
	So now 'make test' and 'make testcheck' should work again.
	Sorry Dave for my mistake in v1.3 you corrected in v1.4. I hope it is OK
	this time.

	* doc/Makefile.am: add pcscd.startup in the distribution

2002-05-07  David Corcoran  <corcoran@acer>

	* src/utils/Makefile.in, Makefile.in, configure, configure.in, doc/Makefile.in, etc/Makefile.in, src/Makefile.in:
	Updated version to 1.1.0

	* etc/Makefile.in, doc/Makefile.in, Makefile.in, config.h.in, configure, configure.in:
	Fixing so that --disable-threadsafe works !!!

	* src/utils/Makefile.in, src/Makefile.am, src/Makefile.in:
	Adding Makefile.am with -lpthread for PCSCD_INCLUDE_LIBS

	* src/dyn_win32.c: Added Win32 dynamic lib loading

2002-05-06  David Corcoran  <corcoran@acer>

	* src/musclecard.c:
	Added real time card reset/removed checking.  Fixed bug which begin/end transaction would not return this.

	* win32/PCSC.dsp, win32/PCSC.h, win32/StdAfx.cpp, win32/StdAfx.h, win32/pthread.h, win32/sched.h, win32/win32_config.h, win32/win32_pcsclite.h, src/debuglog.c, src/mscdefines.h, src/musclecard.c, src/musclecard.h, src/thread_unix.c, src/tokenfactory.c, src/tokenparser.c, win32/PCSC.cpp:
	Added support for Win32 based platforms for Muscle Framework.

	* pcsc.pbproj/project.pbxproj:
	Checking in new project file for project builder

2002-05-06  Chris Osgood  <oznet@acer>

	* src/dyn_win32.c: New file.

	* src/dyn_win32.c: Win32 updates

	* win32/PCSC.cpp, win32/PCSC.dsp, win32/PCSC.h, win32/StdAfx.cpp, win32/StdAfx.h, win32/pthread.h, win32/sched.h, win32/win32_config.h, win32/win32_pcsclite.h:
	New file.

	* src/debuglog.c, src/mscdefines.h, src/musclecard.c, src/musclecard.h, src/thread_unix.c, src/tokenfactory.c, src/tokenparser.c, win32/PCSC.cpp, win32/PCSC.dsp, win32/PCSC.h, win32/StdAfx.cpp, win32/StdAfx.h, win32/pthread.h, win32/sched.h, win32/win32_config.h, win32/win32_pcsclite.h:
	Win32 updates

2002-04-27  David Corcoran  <corcoran@acer>

	* pcsc.pbproj/project.pbxproj, src/hotplug_macosx.c:
	Added versioning to pbxproj file, updated config.h.  Fixed Plugin->PlugIn.h in hotplug

2002-04-26  David Corcoran  <corcoran@acer>

	* doc/pcscd.8.in: Updated the man page

2002-04-25  David Corcoran  <corcoran@acer>

	* pcsc.pbproj/project.pbxproj:
	Added bundle header information for buildit

	* pbx/config.h, src/pcscdaemon.c, src/pcsclite.h:
	Added new version numbering

	* src/eventhandler.c, src/readerfactory.c:
	removed printf debugging for release

	* src/hotplug_macosx.c, src/powermgt_macosx.c:
	Changes to the power management behavior

2002-04-24  David Corcoran  <corcoran@acer>

	* pcsc.pbproj/project.pbxproj, src/eventhandler.c, src/hotplug_macosx.c, src/powermgt_macosx.c, src/readerfactory.c, src/readerfactory.h, src/winscard.c:
	moved project builderstuff and removed some files

	* src/musclecard.c, src/musclecard.h, src/muscletest.c, src/powermgt_macosx.c:
	changes

2002-04-23  David Corcoran  <corcoran@acer>

	* src/eventhandler.c, src/hotplug_macosx.c, src/pcscdaemon.c, src/powermgt_generic.h, src/powermgt_macosx.c, src/readerfactory.c, src/readerfactory.h:
	No changes, just time/date issues

2002-04-22  David Corcoran  <corcoran@acer>

	* pbx/config.h, src/mscdefines.h, src/pcsclite.h, src/sys_generic.h, src/sys_hpux.c, src/sys_solaris.c, src/sys_unix.c, src/winscard.h, src/winscard_msg.c, src/winscard_svc.c:
	config.h -> added cvs to version
	project.pbx -> modified project builder attributes
	pcsclite.h -> __APPLE__
	mscdefines.h -> __APPLE__
	sys_generic.h, sys_hpux.c sys_solaris.c sys_unix.c
	int SYS_Exit to void SYS_Exit
	winscard_msg.c removed message in CommonSegment

2002-04-21  Carlos Prados  <cprados@acer>

	* configure.in, src/pcscdaemon.c:
	Added autoconf check for getopt.h header

2002-04-16  David Corcoran  <corcoran@acer>

	* src/pcscdaemon.c: Added #ifdef around #include <getopt.h>

2002-04-14  Carlos Prados  <cprados@acer>

	* configure.in: Added getopt_long() check.

	* src/pcscdaemon.c:
	Added getopt and getopt_long support for command line parsing.

2002-04-12  David Corcoran  <corcoran@acer>

	* src/musclecard.c: Added wait for thread return for the callback

	* src/musclecard.c, src/musclecard.h:
	Added BLOCKSTATUS defines and checks in the Callbacks so that the
	race condition would go away.

	* src/musclecard.h: Removed MSCCertInfo

2002-04-11  David Corcoran  <corcoran@acer>

	* src/mscdefines.h: removed cert function pointers

	* src/tokenfactory.c: removed certificate function pointers

	* src/musclecard.c, src/musclecard.h:
	Removed all certificate handling functions

2002-04-10  David Corcoran  <corcoran@acer>

	* src/pcscdaemon.c: Added extern int errno - wouldn't build on Solaris

	* src/winscard_clnt.c:
	Removed atexit() put cleanup code in SCardReleaseContext

	* src/musclecard.c: some modifications for tabs.

	* src/ifdwrapper.c:
	Removed SetCapabilities -> put into 1.0 version for performance reasons

	* src/musclecard.c, src/musclecard.h:
	Removed extra Read/Write functions

2002-04-09  David Corcoran  <corcoran@acer>

	* src/musclecard.c, src/musclecard.h:
	Added keyPartner to MSCImportKey.  Added keyMapping to MSCKeyInfo structure

2002-04-08  David Corcoran  <corcoran@acer>

	* src/pcscdaemon.c, src/pcsclite.h, src/readerfactory.c, src/readerfactory.h, src/winscard_clnt.c, src/winscard_svc.c, Makefile.in, configure, src/Makefile.am, src/Makefile.in:
	Fixed a security vulnerability in winscard_svc.c.  Removed /tmp/pcsc/.pcsctmp
	and replaced it with a stat /tmp/pcsc on the client side.  Modified Makefile.am
	to only install needed include files to /usr/local/include

2002-04-08  Michael Gile  <mikeg@acer>

	* src/readerfactory.c:
	initialized return value to -1 in RFSetReaderName

2002-04-07  Ludovic Rousseau  <rousseau@acer>

	* src/pcscdaemon.c, src/pcsclite.h, src/readerfactory.c:
	Allow pcscd to do bulk transfers for devices with high speed:

	 Enhanced messaging has been added to accomodate newer devices which
	have more advanced capabilites, such as dedicated secure co-processors
	which can stream and encrypt data over USB.  In order to used enhanced
	messaging you must define PCSCLITE_ENHANCED_MESSAGING in the
	framework(library), the daemon, and your application

	Thanks to Michael Gile <mgile@mac.com> for the patch

2002-04-06  Ludovic Rousseau  <rousseau@acer>

	* AUTHORS: Added my name as suggested by David

	* src/pcscdaemon.c:
	using -d1 (debug to stderr) or -d2 (debug to stdout) also activate the
	-fg option (foreground). Otherwise pcscd is started as a daemon
	(default) and stdout and stderr file descriptors are closed and then
	debug is useless since sent to /dev/null

	* src/pcsclite.h, configure.in: renamed 1.0.2.beta5 to 1.0.2.cvs

	* Makefile.am: make the ChangeLog.cvs rule .PHONY

	* src/pcscdaemon.c, src/sys_generic.h, src/sys_hpux.c, src/sys_solaris.c, src/sys_unix.c, src/winscard_clnt.c, src/winscard_msg.c:
	use SYS_CloseFile() instead of close()
	use SYS_OpenFile() instead of open()
	use SYS_Chdir() instead of chdir()
	use SYS_Daemon() instead of daemon()
	test return values and print a debug message when necessary

	patch provided by Toni Andjelkovic <toni@soth.at>

	* Makefile.am: add a rule to create ChangeLog.cvs

	* src/pcscdaemon.c:
	add error code management for SHMProcessEvents returned value

2002-04-05  Ludovic Rousseau  <rousseau@acer>

	* configure.in: correct text alignment

	* doc/Makefile.in, etc/Makefile.in, src/utils/Makefile.in:
	removed since generated automatically by automake

	* src/atrhandler.c:
	USE_SYSLOG is no more used. code rewrote with debug_msg()

	* src/debuglog.c: debug_xxd(): also use the debug_msg_type way

	* config.h.in:
	removed since generated automatically from configure.in by autoheader

2002-04-04  Ludovic Rousseau  <rousseau@acer>

	* Makefile.in, src/Makefile.in:
	removed since automatically generated from Makefile.am

	* src/pcscdaemon.c, src/winscard_msg.c:
	src/winscard_msg.c: SHMProcessEvents() timeout on the select and go back
	into src/pcscdaemon.c: SVCServiceRunLoop()
	This is used to catch the Ctrl-C signal (in SVCServiceRunLoop) at some
	time when nothing else happens

	* src/dyn_unix.c:
	removed dlerror() from if tests since it is not the best way to test for
	errors

	* src/dyn_bsd.c:
	DYN_GetAddress() now correctly handles errors by not using dlerror() to
	know if an error occured since the error may have occured in a previous
	call
	Also removed dlerror() from if tests everywhere else

	* src/Makefile.am:
	add many .h files in include_HEADERS so that 'make dist' include all the
	usefull files
	add muscletest.c in EXTRA_libpcsclite_core_la_SOURCES

2002-04-04  David Corcoran  <corcoran@acer>

	* src/musclecard.c:
	Some event changes, begin/end transaction.  Added IdentifyToken

2002-04-04  Ludovic Rousseau  <rousseau@acer>

	* src/utils/bundleTool.c:
	removed unused variable char tempString[1024];
	add a return 0 for main()

	* src/atrhandler.c, src/atrhandler.h, src/configfile.c, src/configfile.h, src/debuglog.c, src/debuglog.h, src/driverparser.c, src/dyn_bsd.c, src/dyn_generic.h, src/dyn_hpux.c, src/dyn_macosx.c, src/dyn_unix.c, src/eventhandler.c, src/eventhandler.h, src/hotplug.h, src/hotplug_generic.c, src/hotplug_linux.c, src/hotplug_macosx.c, src/ifdhandler.h, src/ifdwrapper.c, src/ifdwrapper.h, src/mscdefines.h, src/musclecard.c, src/musclecard.h, src/muscletest.c, src/pcscdaemon.c, src/pcsclite.h, src/powermgt_macosx.c, src/prothandler.c, src/prothandler.h, src/readerfactory.c, src/readerfactory.h, src/sys_generic.h, src/sys_hpux.c, src/sys_solaris.c, src/sys_unix.c, src/testpcsc.c, src/thread_generic.h, src/thread_macosx.c, src/thread_unix.c, src/tokenfactory.c, src/tokenfactory.h, src/tokenparser.c, src/utils/bundleTool.c, src/utils/formaticc.c, src/utils/installifd.c, src/winscard.c, src/winscard.h, src/winscard_clnt.c, src/winscard_msg.c, src/winscard_msg.h, src/winscard_svc.c, src/winscard_svc.h, src/wintypes.h:
	complete and automatic reindentation of *.c and *.h files

	* ChangeLog: test

2002-04-01  Jean-Luc Giraud  <giraud@acer>

	* src/musclecard.h: musclecard:
	- replaced PCSC_TARGET_OSX with __APPLE__ in #ifndef for mscdefines.h inclusion
	pbproj:
	- no meaningful modifications

2002-03-31  Jean-Luc Giraud  <giraud@acer>

	* src/readerfactory.c: Fix 1 issue in readerfactory.c
	- valueLength=sizeof(tagValue) in RFSetReaderName to allow IFDHandlers to know
	how much space is available

	Modified PB project to allow build in proper order and have testpcsc used
	the new PCSC framework available in the build folder.

2002-03-31  David Corcoran  <corcoran@acer>

	* src/configfile.c: Added this

	* src/configfile.l: Big Ass Error badError = 1 instead of ==

2002-03-30  David Corcoran  <corcoran@acer>

	* src/pcscdaemon.c: removed crap PCSC_DEBUG

	* src/readerfactory.c, src/wintypes.h:
	Fixed multi-reader bug, also fixed wintypes bug

	* config.h.in, configure, configure.in, doc/Makefile.am, doc/Makefile.in, doc/bundleTool.1, doc/pcscd.8.in, src/pcscdaemon.c, src/utils/Makefile.am, src/utils/Makefile.in:
	added the man pages

	* src/configfile.l, src/pcscdaemon.c, src/Makefile.am, src/configfile.c:
	Added some command line arguments.

	* src/debuglog.c, src/debuglog.h, src/pcscdaemon.c, src/pcsclite.h, src/tokenparser.c:
	Added command line debug options

	* src/utils/Makefile.am, src/utils/Makefile.in, src/utils/README, src/utils/bundleTool.c, src/utils/formaticc.c, src/utils/installifd.c, src/utils/sample.ibm, src/utils/sample.in, src/utils/sample.out:
	New file.

	* src/utils/Makefile.am, src/utils/Makefile.in, src/utils/README, src/utils/bundleTool.c, src/utils/formaticc.c, src/utils/installifd.c, src/utils/sample.ibm, src/utils/sample.in, src/utils/sample.out:
	PCSC

	* src/winscard_msg.h, src/winscard_svc.c, src/winscard_svc.h, src/wintypes.h:
	New file.

	* src/winscard_msg.h, src/winscard_svc.c, src/winscard_svc.h, src/wintypes.h:
	PCSC

	* src/winscard_clnt.c, src/winscard_msg.c: New file.

	* src/winscard_clnt.c, src/winscard_msg.c: PCSC

	* src/winscard.c, src/winscard.h: New file.

	* src/winscard.c, src/winscard.h: PCSC

	* src/tokenparser.l: New file.

	* src/tokenparser.l: PCSC

	* src/tokenparser.c: New file.

	* src/tokenparser.c: PCSC

	* src/tokenfactory.c, src/tokenfactory.h: New file.

	* src/tokenfactory.c, src/tokenfactory.h: PCSC

	* src/sys_hpux.c, src/sys_solaris.c, src/sys_unix.c, src/testpcsc.c, src/thread_generic.h, src/thread_macosx.c, src/thread_unix.c:
	New file.

	* src/sys_hpux.c, src/sys_solaris.c, src/sys_unix.c, src/testpcsc.c, src/thread_generic.h, src/thread_macosx.c, src/thread_unix.c:
	PCSC

	* src/README_INTERNALS.txt, src/readerfactory.c, src/readerfactory.h, src/sys_generic.h:
	New file.

	* src/README_INTERNALS.txt, src/readerfactory.c, src/readerfactory.h, src/sys_generic.h:
	PCSC

	* src/pcscdaemon.c, src/pcsclite.h, src/powermgt_macosx.c, src/prothandler.c, src/prothandler.h:
	New file.

	* src/pcscdaemon.c, src/pcsclite.h, src/powermgt_macosx.c, src/prothandler.c, src/prothandler.h:
	PCSC

	* src/musclecard.h, src/muscletest.c: New file.

	* src/musclecard.h, src/muscletest.c: PCSC

	* src/musclecard.c: New file.

	* src/musclecard.c: PCSC

	* src/Makefile.in, src/mscdefines.h: New file.

	* src/Makefile.in, src/mscdefines.h: PCSC

	* src/Makefile.am, src/ifdwrapper.c, src/ifdwrapper.h: New file.

	* src/Makefile.am, src/ifdwrapper.c, src/ifdwrapper.h: PCSC

	* src/hotplug_macosx.c, src/ifdhandler.h: New file.

	* src/hotplug_macosx.c, src/ifdhandler.h: PCSC

	* src/eventhandler.c, src/eventhandler.h, src/hotplug.h, src/hotplug_generic.c, src/hotplug_linux.c:
	New file.

	* src/eventhandler.c, src/eventhandler.h, src/hotplug.h, src/hotplug_generic.c, src/hotplug_linux.c:
	PCSC

	* src/driverparser.c, src/driverparser.l, src/dyn_bsd.c, src/dyn_generic.h, src/dyn_hpux.c, src/dyn_macosx.c, src/dyn_unix.c:
	New file.

	* src/driverparser.c, src/driverparser.l, src/dyn_bsd.c, src/dyn_generic.h, src/dyn_hpux.c, src/dyn_macosx.c, src/dyn_unix.c:
	PCSC

	* src/configfile.c, src/configfile.h, src/configfile.l, src/debuglog.c, src/debuglog.h:
	New file.

	* src/configfile.c, src/configfile.h, src/configfile.l, src/debuglog.c, src/debuglog.h:
	PCSC

	* src/atrhandler.c, src/atrhandler.h: New file.

	* src/atrhandler.c, src/atrhandler.h: PCSC

	* doc/README.DAEMON, doc/pcscd.8.in, doc/pcscd.startup, etc/Makefile.am, etc/Makefile.in, etc/SmartcardServices, etc/StartupParameters.plist, etc/reader.conf.in, pbx/config.h:
	New file.

	* doc/README.DAEMON, doc/pcscd.8.in, doc/pcscd.startup, etc/Makefile.am, etc/Makefile.in, etc/SmartcardServices, etc/StartupParameters.plist, etc/reader.conf.in, pbx/config.h:
	PCSC

	* doc/pcsc-lite-0.8.7.pdf: New file.

	* doc/pcsc-lite-0.8.7.pdf: PCSC

	* doc/Makefile.in: New file.

	* doc/Makefile.in: PCSC

	* doc/Makefile.am, doc/bundleTool.1: New file.

	* doc/Makefile.am, doc/bundleTool.1: PCSC

	* Makefile.in, NEWS, README, SECURITY, reconf, stamp-h.in: New file.

	* Makefile.in, NEWS, README, SECURITY, reconf, stamp-h.in: PCSC

	* INSTALL, Makefile.am: New file.

	* INSTALL, Makefile.am: PCSC

	* COPYING, DRIVERS, HELP, configure, configure.in: New file.

	* COPYING, DRIVERS, HELP, configure, configure.in: PCSC

	* AUTHORS, ChangeLog, bootstrap, config.h.in: New file.

	* AUTHORS, ChangeLog, bootstrap, config.h.in: PCSC

